CREATE TABLE IF NOT EXISTS guild_members (
    guild_id TEXT,
    user_id TEXT,
    joined_at TIMESTAMP,
    roles SET<TEXT>,
    nickname TEXT,
    permissions BIGINT,
    PRIMARY KEY (guild_id, user_id)
);

CREATE INDEX IF NOT EXISTS guild_members_user_idx ON guild_members (user_id);

CREATE TABLE IF NOT EXISTS guild_members_by_user (
    user_id TEXT,
    joined_at TIMESTAMP,
    guild_id TEXT,
    guild_name TEXT,
    PRIMARY KEY (user_id, joined_at, guild_id)
) WITH CLUSTERING ORDER BY (joined_at DESC);
